1. Installation du module GLS Magento

Ce document décrit les étapes à suivre pour l’installation de votre module officiel GLS pour Magento (compatible avec les versions 1.4.1 et supérieures). 

1. Installation

1.1 Par une archive

Si vous n’avez pas installé le module via magentoconnect mais qua vous avez une archive zip à installer, pour procéder à l’installation du module il suffit d’extraire le fichier zip dans le répertoire d’installation de votre Magento.

Il faut ensuite vider les caches de Magento (Système > Gestion du cache, puis rafraichir tous les caches), et éventuellement relancer la compilation si elle est activée (Système > Outils > Compilation).

Enfin, se déconnecter / reconnecter du BO, pour réinitialiser les droits d’accès.

1.2 Compatibilité jQuery

Ce module est fourni avec jQuery 1.7.1 et jQuery Tools (voir js/ jquery/jquery-1.7.1.min.js et js/ jquery/jquery.tools.min.js), qui sont inclus par le layout du module (voir app\design\frontend\base\default\layout\gls.xml).

Si vous avez déjà une version de Jquery et de jQueryTools sur votre site, veillez à ce qu’il n’y ait pas de conflit de version : Vous ne devez inclure qu’une seule version de jQuery sur votre site etle module attend une version >= 1.7.1. Si vous souhaitez garder votre version de jQuery : commentez l’inclusion de jQuery dans app\design\frontend\base\default\layout\gls.xml (ligne 18 à 20).

1.3 Compatibilité OneStepCheckout

Le module a été adapté pour fonctionner avec le module OneStepCheckout, il a été testé avec la version 4.09 du module OneStepCheckout (http://www.onestepcheckout.com/).

Un changement de politique dans l'utilisation du "Plan Standard" de l'API Google Maps, mis en place par Google depuis le 22 juin 2016 entraîne une erreur lors de l'ouverture de la carte des points Relais qui bloque l'affichage de la carte.

Vous pouvez trouver plus d'explications (en anglais) à l'adresse https://developers.google.com/maps/pricing-and-plans/standard-plan-2016-update.

Les appels à l'API Google Maps implémentés après le 22/06/2016 requièrent une clé d'API.

Une fois cette clé obtenue, il faudra l'ajouter à la requête qui effectue l'appel à l'API, dans le fichier du module qui implémente cet appel (fichier gls.php, ligne 429).

Pour obtenir cette clé, vous devez suivre les instructions indiquées à l'adresse https://developers.google.com/maps/documentation/javascript/get-api-key. 

Still need help? Contact Us Contact Us